---
title: "~vern Staff"
---

This wiki page documents all the different staff of ~vern. The staff include ~vern administrators, community moderators, some active developers for ~vern, some active wiki contributors and ~vern's Legalese experts.

You should contact the administrators with regards to most problems, for any legal problems please contact the ~vern Legalese experts.

# Different types of staff

## ~vern administrators{#admins}

the ~vern administrators are the ones that do the day-to-day Running and Maintenance of ~vern, including it's services, servers, and domains. They have to do a wide array of jobs and they make sure everything is working fine.

However, on every other level, ~vern administrators are the same as ~vern members. They are just in charge of the infrastructure and have additional responsibilities.

This article is not about Matrix moderators or Matrix room administrators. A matrix moderator can be a ~vern administrator but this is not always the case. Make sure to consult the official website for a list of administrators.

And also, just because a user has access to a restricted service it doesn't mean that that particular user gets any special privileges or is an administrator.

### List of administrators

*Note: This list of admins is scraped from the main website over at [https://vern.cc/admins](https://vern.cc/eng/admins), This list is confirmed to be up-to-date as of November 23rd, 2023.*

Here is a list of ~vern admins, their contact methods and their websites (if they have any), the list is not in any particular order:

*For Email and XMPP: replace \[at\] with `@` and (dot) with `.`* 

*Note: The PGP key is used for sensitive emails, [here](https://emailselfdefense.fsf.org/) is quick guide by the Free Software Foundation on how to use it*

1. Main contact methods

| ~user | Email | Matrix | XMPP | PGP key | site |
|-------|-------|--------|------|---------|------|
| ~cobra | cobra [at] vern (dot) cc | @cobra:vern.cc | cobra [at] vern (dot) cc | [here](../media/cobra.asc) | [cobra.vern.cc](https://cobra.vern.cc) |
|~fatcat | fatcat [at] vern (dot) cc | @fatcat:vern.cc | N/A | [here](../media/fatcat.asc) | [fatcat.vern.cc](https://fatcat.vern.cc) |
|~vitorg| vitorg [at] vern (dot) cc | @vitorg:vern.cc | vitorg [at] vern (dot) cc | [here](../media/vitorg.asc) | [vitorg.vern.cc](https://vitorg.vern.cc) |

2. Backup contact methods

If the above contact methods do not work then the admins can be reached at:

| ~user | spare Email | spare Matrix  |
|-------|-------------|---------------|
| ~cobra| thecobra [at] riseup (dot) net | @cobruter:matrix.org  | 
|~fatcat| fatcatcomputing [at] proton (dot) me | @y:envs.net  | 
|~vitorg| vitorg [at] tilde (dot) team | @vitorg:kde.org |


## ~vern's Legalese experts{#legal}

~vern, like any other institution on planet Earth, is bound by law. And we need people who understand at least a little bit of that law, especially when it comes to privacy laws such as the GDPR or some other digital regulation.

These are **NOT** real lawyers, but they are the closest we have to the real deal. Please contact these individuals for any legal matters (and make sure to also include at least one ~vern administrator in the discussion as well)

### List of legalese experts

*For email-based messaging, please CC both the main email and the spare email just to make sure the email gets reached no matter what.*

*Please also include at least one ~vern administrator in the discussion as well. The contact info for ~vern administrators can be found above*

*For email: replace [at] with `@` and (dot) with `.`*

*Note: The PGP key is used for sensitive emails, [here](https://emailselfdefense.fsf.org/) is quick guide by the Free Software Foundation on how to use it*

(There are no legalese experts for ~vern)

## ~vern community moderators{#mod}

Community moderators are individuals who are tasked with keeping the community chats (IRC channels, Matrix rooms, XMPP groups etc.) nice and peaceful. They are tasked with making sure everyone obeys the rules and they have the power to remove any users.

### List of community moderators

*For email: replace \[at\] with `@` and (dot) with `.`*

*Note: The PGP key is used for sensitive emails, [here](https://emailselfdefense.fsf.org/) is quick guide by the Free Software Foundation on how to use it*

(There are no community moderators for ~vern)

## ~vern wiki maintainers{#wiki}

*This role is not mandatory unlike all the other roles so far, and this is more of a community-decided one than an official one*

Wiki maintainers are tasked with keeping the wiki up-to-date and correcting anything wrong (such as formatting, dead links and so on), they can contribute directly to the [vern/wiki repository](https://git.vern.cc/vern/wiki) without having to use Pull Requests or submit to anyone.

### List of wiki maintainers

*For email: replace \[at\] with `@` and (dot) with `.`*

*Note: The PGP key is used for sensitive emails, [here](https://emailselfdefense.fsf.org/) is quick guide by the Free Software Foundation on how to use it*

| ~user | translation(s)| email | spare email | matrix | PGP key | site |
|-------|---------------|-------|-------------|--------|---------|------|
|~vitorg|English, Portuguese (Brazilian)| vitorg \[at\] vern (dot) cc | vitorg [at] tilde (dot) team | @vitorg:vern.cc | [here](../media/vitorg.asc) | [vitorg.vern.cc](https://vitorg.vern.cc) |
