---
title: "Pubnix'te Paket Yönetimi nasıl yapılır"
---

Pubnix, kullanıcıların [SSH](/guides/ssh/) girdiği sanal makine, [Guix](https://guix.gnu.org) klanının sürekli protestolarına rağmen [NixOS](https://nixos.org/) üzerinde çalışıyor. Nix'in yazılım yüklemenin tuhaf bir yolu var ve birçok artısı ve eksisi var. Bunlara odaklanmayacağız ancak artılarından biri, root erişimine ihtiyaç duymadan kendi yerel kullanıcınıza yazılım yükleyebilmenizdir.

Bu kılavuz, Nix'in yapabileceği bazı temel işlevlere odaklanmaktadır. İleri düzeydeki hiçbir şeyin üzerinden geçmeyeceğiz.

## Paket araması
Paketleri aramak için `nix --extra-experimental-features "nix-command flakes" search nixpkgs <paketadı>` çalıştırırsınız (&lt;paketadı&gt;'nı istediğiniz paketi yazabilirsiniz)

*Not: Bu komutun index'i indirmesi biraz zaman alır (yaklaşık 40 saniye) ancak bu yalnızca ilk kez karşılaşılan bir sorundur.*

Bunu bir bash alias olarak koyabilirsiniz, böylece her zaman yazmanıza gerek kalmaz, böyle bir alias şöyle olabilir:

```bashrc
alias nix-search="nix --extra-experimental-features "nix-command flakes" search nixpkgs $1"
```
Bu aliasla, `nix-search <paketadı>` komutunu çalıştırabilirsiniz!

## Belirli bir dosyanın hangi paketin sahibi olduğunu kontrol etme
Bir pakette belirli bir dosyayı aramak için `nix-locate 'bin/dosyaadı'` komutunu çalıştırırsınız.

*Not: bu, haftalık olarak bir cronjob ile güncellenen /var/lib/nix-index dosyasındaki global dosya veritabanımızı kullanır.*

## Paketleri mevcut ortamınıza yükleme
Mevcut ortamınıza bir paket yüklemek için `nix-env -iA nixos.<paket adı eksi eskiPaketler.x86_64-linux>` komutunu çalıştırırsınız.

*Not: Bu yöntemle yüklenen paketler yalnızca kullanıcı ortamı mevcut olduğu sürece mevcuttur.*

## Bir paketin geçici shell içine "kurulması"
Bu, bir komuta yalnızca bir kez ihtiyaç duyduğunuz ve bir daha asla ihtiyacınız olmadığı zamanlar için oldukça kullanışlı bir özelliktir.

Bir paketi geçici bir kabuğa kurmak için `nix-shell -p <paket adı eksi eskiPaketler.x86_64-linux>` komutunu çalıştırırsınız. 

*Not: Kabuk kapatılır kapatılmaz paket yolunuzdan kaybolacaktır, ancak daha sonra kolayca kullanabilmeniz için önbelleğe alınmıştır.*