---
title: "~vern'e kayıt nasıl olunur"
---

Yani ~vern'de bir hesap açmak istiyorsunuz. Farklı kişilerin katılmak için farklı nedenleri vardır, belki gizliliklerini yeniden kazanmak istiyorlardır, tescilli(özel mülk) yazılımı terk etmek veya sadece eğlence için. Ancak üyeliğinizle ne yaptığınız kadar neden katılmak istediğiniz de önemli değil.

Bu kılavuz 2 şeyi kapsar, SSH anahtarı nasıl oluşturulur ve hesap nasıl kaydedilir. Ayrıca seçim yapabilmeniz için kayıt sayfasında ~vern hizmetlerinin her biri kısaca açıklanmaktadır.

Kayıt olmadan önce, bir SSH anahtarı oluşturmalısınız. Bir kullanıcıyı tanımlamak için SSH anahtarı kullanılır, ~vern'in genel UNIX sunucularına giriş yapmak veya ~vern'in Git depolarına göndermek için kullanılabilir. Eğer Genel UNIX sunucusunu kullanmak istemiyorsanız veya bir SSH anahtarı oluşturmak istemiyorsanız, size nasıl yardımcı olabileceklerini görmek için [yöneticiyle iletişime geçin](/staff/#admins).

## SSH anahtarı nasıl oluşturulur

SSH anahtarları ~vern genel Unix sunucusunda oturum açmak için kullanılan anahtarlardır. normal kayıt yöntemini kullanan bir hesap için gereklidir ancak Pubnix erişimi olmayan bir hesap oluşturmak için [yöneticiyle iletişime geçebilirsiniz](/staff/#admins). Bunu yaparsanız ~vern'de kendi web sitenizi barındıramayacağınız konusunda uyarılmalıdır.

Şu anda GNU/Linux, MacOS, Windows ve BSD için kılavuzlar bulunmaktadır.

### GNU/Linux

GNU/Linux'ta bir SSH anahtarı oluşturmak kolaydır, çünkü OpenSSH (kullanacağımız araç) çoğu Linux dağıtımında varsayılan olarak kuruludur (sonuçta çok faydalıdır)

OpenSSH'niz olup olmadığını test etmek için bu komutu çalıştırabilirsiniz: `ssh -v`

Komut herhangi bir çıktı biçimi döndürürse var demektir, ancak hiçbir şey söylemiyorsa yok demektir.

Opensh'ı çoğu Linux dağıtımına paket yöneticinizi kullanarak kurabilirsiniz, Debian/Ubuntu için şu komutu kullanabilirsiniz: `sudo apt install openssh-client`

terminale girin ve `ssh-keygen -t ed25519` komutu çalıştırarak başlayın

Bu komut ED25519 anahtarı oluşturacaktır, ED25519 geleneksel RSA/DSA algoritması kadar güvenli, nispeten yeni bir şifreleme algoritmasıdır. Çok daha az yer kaplar, bu da kullanımı ve saklaması kolay olduğu anlamına gelir.

Şimdi sizden onu nereye kaydedeceğiniz ve şifre kullanıp kullanmayacağınız da dahil olmak üzere birkaç seçenek isteyecek. Bir şifre kullanabilirsiniz, ancak şifreli bir sisteminiz varsa veya makinenizi güvenli ve emniyetli bir yerde saklıyorsanız, büyük olasılıkla buna gerek yoktur ama anahtarınızın kaybolması durumunda ekstra sigorta olarak faydalıdır.

Şu an SSH anahtarınız var! bir SSH anahtarı genellikle 2 parçaya bölünür: Genel anahtar ve özel anahtar. Genel anahtarı herhangi bir risk olmadan istediğiniz herkese gönderebilirsiniz ama özel anahtarın **güvende tutulması gerekir**. Başkasıyla paylaşamazsınız ve dikkatli olmalısınız. Genel anahtar `.pub' ile biter ve özel anahtarın uzantısı yoktur.

~vern, sizin olduğunuzu doğrulamak ve şifrelenmiş verileri size göndermek için genel anahtarınızı kullanır. Özel anahtarınız bu verilerin şifresini çözmek için kullanılabilir. Bu, özel anahtarınıza sahip olan herkesin iletişiminizi dinleyebileceği ve sizi taklit edebileceği anlamına gelir. Bu nedenle, özel anahtarınızı herhangi biriyle paylaşmak veya başka birinin genel anahtarını kullanmak tehlikelidir.

### MacOS

İşlem GNU/Linux'takine benzer olmalıdır. SSH çoğu modern MacOS sürümüne önceden yüklenmiştir. Değilse, homebrew aracılığıyla indirebilirsiniz.

### BSD

İşlem GNU/Linux'takine benzer olmalıdır. OpenBSD ve FreeBSD OpenSSH öntanımlı olarak yüklüdür. NetBSD kullanıcıları pkgsrc'dan `security/openssh` indirebilirler.

### Windows

Bu kılavuz yalnızca Windows 10 veya üzeri için geçerlidir.

Windows 8 veya önceki sürümler için SSH anahtarlarının nasıl oluşturulacağına ilişkin çevrimiçi talimatlar yok gibi görünüyor. Yine de bulursanız [wiki geliştiricileri](/staff/#wiki) ile iletişime geçebilirsiniz, böylece onu buraya ekleyebiliriz.

Bu, bir SSH anahtarının nasıl oluşturulacağına ilişkin adım adım bir kılavuzdur; ~vern'de oturum açmak, web sitenizi kurmak ve değişiklikleri Forgejo'ya göndermek için buna ihtiyacınız olacak.

Süper tuşuna (Windows logolu olan) ve R'ye aynı anda basarak çalıştır penceresini açın ardından cmd.exe yazıp Enter tuşuna basın.

Şimdi size bir komut satırı terminali sunulmalıdır.

ED25519 SSH anahtarı oluşturmak için `ssh-keygen -t ed25519` yazın. ED25519 anahtarı son derece az yer kaplar ve saklanması son derece kolaydır; ed25519, geleneksel RSA/DSA anahtarlarıyla karşılaştırıldığında yeni bir şifreleme şifresidir, RSA/DSA anahtarları tüm SSH sunucuları ve istemcileriyle uyumludur ancak büyüktürler ve çok fazla depolama alanı kaplarlar. Modernizasyon amacıyla rsa yerine ed25519'u kullanın. RSA'dan daha az riskli değildir ve kullanımı daha kolaydır.

Şimdi size nereye kaydedeceğinizi soracak, istediğiniz yere kaydedebilirsiniz ancak nerede olduğunu unutmadığınızdan emin olun.

Artık ekstra güvenlik için bir parola girebilirsiniz; işletim sisteminiz şifrelenmişse veya bilgisayarınızı güvenli bir yerde saklıyorsanız buna gerek yoktur fakat bu seçeneğe ihtiyacı olan herkes için mevcuttur. Parolanızı hatırladığınızdan emin olun çünkü SSH bağlandığınızda sizden parolanızı isteyecektir, sifre yöneticisine de koyabilirsiniz!

Artık SSH anahtarınız var! ~vern'in genel Unix sunucusuna bağlanmak için kullanacağınız şey budur, bu yüzden onu güvende tutun. SSH anahtarınız 2 parçaya bölünmüştür; istediğiniz herkesle paylaşabileceğiniz Genel anahtar ve güvende tutmak için *SAHİP olduğunuz* özel anahtar.

Genel anahtar, ~vern'in sizin olduğunuzu doğrulamak için kullandığı şeydir ve onu istediğiniz herkese gönderebilirsiniz ancak özel anahtar, şifreyi çözen kısımdır, kimseyle paylaşmayın ve ona dikkat edin. Genel anahtar .pub ile biter ve özel anahtarın uzantısı yoktur.

Özel anahtarınızı **asla** sızdırmamanız kesinlikle önemlidir, aksi takdirde herhangi biri sizi taklit edebilir ve ~vern ile olan iletişiminizi dinleyebilir.

### Windows 8 yada altında

Eğer Windows 8 yada altında sürüm kullanıyorsanız, ssh doğrudan sistemde mevcut değil. Dolayısıyla başka bir ssh uygulaması kullanmanız gerekir. bunun için birden fazla seçenek vardır: en yaygın olanı, ssh istemcisinin; sftp ve ssh anahtar yönetiminin Windows uygulaması olan Putty'dir.

Yazılım bu adresten indirilebilir [Putty](https://www.chiark.greenend.org.uk/~sgtatham/putty/latest.html), en azından putty.exe ve puttygen.exe'ye ihtiyacınız var, ayrıca pageant.exe'yi kullanmak da faydalıdır, bu nedenle tüm zip dosyasını da indirebilirsiniz.

Bir ssh anahtarı oluşturmak için puttygen.exe'yi çalıştırabilir ve oluştur'a tıklayabilirsiniz, bu bir genel/özel anahtar çifti oluşturacaktır ve hangi anahtar algoritmasını istediğinizi seçebilirsiniz, şu anda eddsa (ed25519) önerilir, ancak bir rsa-4096 anahtarı da işe yarayacaktır. Eddsa anahtarı çok daha kısadır ve bu muhtemelen daha kullanışlıdır, ayrıca bazı sunucular daha fazla güvenlik için RSA'yı desteklemeyebilir (bazı git sunucuları bunu yapıyor gibi görünüyor). Vern.cc için her ikisi de işe yarayacaktır.

Araç biraz zaman alacaktır, fareyi hareket ettirerek bunu hızlandırabilirsiniz, anahtar bittiğinde genel anahtarı ve anahtar parametrelerini gösterecektir ve her kullandığınızda gireceğiniz anahtarı korumak için bir parola belirleyebilirsiniz. veya anahtarı anahtar aracısına yüklediğinizde ve parolayı bir kez girdiğinizde. Bu parola tahmin edilemeyecek kadar uzun olmalıdır, parolanızı bilen ve özel anahtar dosyasına sahip olan herkes, anahtarı kullanarak hesaplarınıza giriş yapabilir.

Anahtarı oluşturduktan sonra diyalog [böyle](../media/keygen.png) görünecek.

Anahtarı oluşturduktan sonra hem özel anahtar dosyasını hem de genel anahtar dosyasını kaydettiğinizden emin olun; özel anahtar dosyası ör. ed.ppk, ortak anahtar dosyasına ed.pub adı verilecektir. Ortak anahtar dosyası, hesabınızı talep etmek için vern yöneticilerine göndermeniz gereken tek satırlık bir metin dosyasıdır. Metin alanında görüntülenen anahtarı, yani aynı metin dizesini kopyala yapıştır ile de kullanabilirsiniz.

Opensh ile uyumlu bir formatta özel anahtar dosyasına ihtiyacınız varsa (ör. vern.cc shell hesabından git sunucusuna ssh yapabilmek istiyorsanız), .ppk dosyasını puttygen.exe ile açmanız gerekir ve anahtarı openssh anahtar dosyası olarak dışa aktarın. Geleneksel olarak bu dosyaya genellikle uzantısız id_format adı verilir; id_ed25519 olarak adlandırılabilir ancak herhangi bir dosya adı olabilir. Bu özel anahtar dosyasını kullanırsanız herhangi bir openssh ssh istemcisini kullanabilirsiniz, ör. Cmder, Mobaxterm veya herhangi bir Cygwin kullanıyorsanız, bu durumda başlangıçta anahtarları oluşturmak ve doğru formatı elde etmek için araçları kullanabilirsiniz.

Putty kullanıyorsanız, her giriş yaptığınızda sizden parola isteyecek olan ssh makalesinde anlatıldığı gibi anahtar dosyasını vern için kullandığınız oturuma ekleyebilir veya anahtarı önbelleğe alıp kullanmak için pageant programını kullanabilirsiniz. parolayı sağlamadan. Bu, Putty tarafından otomatik olarak alınır ve aracı yönlendirmeyi seçtiğinizde, dosyayı kopyalamadan git'i ssh ile kullanmak da dahil olmak üzere kabuk oturumundaki özel anahtarı da kullanabilirsiniz ama kullandığınız shell ana bilgisayarına güvenmiyorsanız bunun bir güvenlik sorunu vardır. yöneticinin kötü niyetli olması durumunda aracı oturumunuzu "ödünç alabileceğinden" oturum açın (tabii ki bu konuda vern yöneticilerine güveneceğiz). Bir putty oturumu kullanıyorsanız, aracı yönlendirmeyi açıp kapatabilirsiniz veya başka bir ssh istemcisi kullanıyorsanız, aracı yönlendirmeye izin vermek için -A'yı kullanabilir veya ihtiyacınız yoksa öylece bırakabilirsiniz.

Pageant programını kullanırsanız, diğer programlar da ssh anahtarını alabilecektir; Windows için git'in bazı sürümleri, mobaxterm veya Winscp aracı, dolayısıyla bu, çalıştırılması oldukça faydalı bir araçtır.

Başlangıç klasörünüze koyarsanız parametre olarak ppk dosyasının adını ekleyebilirsiniz. Bu şekilde program açılırken sizden anahtar kelimenizi isteyecektir, aksi takdirde anahtarı "Anahtar ekle" ile eklemeniz veya dosyayı Pageant penceresine sürüklemeniz gerekir.

## ~vern'e nasıl kayıt olunur?

Artık bir SSH anahtarınız olduğuna göre, sonunda bir hesap açıcağız.

[https://vern.cc/tur/register](https://vern.cc/tur/register) adresindeki ~vern hesap kayıt sayfasına gidin.

Daha sonra istediğiniz kullanıcı adını yazın, kullanıcı adı değiştirilemez bu yüzden dikkatli seçin. Zarif bir ad seçin ve onu basit tutmayı unutmayın; uzun kullanıcı adlarını her gün yazmak acı vericidir. Bu yüzden 3 ila 6 karakter civarında tutun, bundan azı kafa karıştırıcı olur ve bundan fazlasının yazılması zordur.

Bir sonraki alana bir e-posta yazmanız gerekecektir: e-posta, hesabınız başarıyla işlendiğinde sizinle iletişim kurmak için kullanılır ve ayrıca gerektiğinde ~vern yöneticileri tarafından sizinle iletişim kurmak için kullanılır. Spam göndermeyeceğiz veya bu e-postayı herhangi bir üçüncü tarafla paylaşmayacağız ve bu e-posta yalnızca ~vern hesabınız için hizmetleri kaydetmek için kullanılacaktır.

Şimdi SSH genel anahtarınızı eklemeniz gerekiyor. Lütfen genel anahtarlar ile özel anahtarlar arasındaki farkı unutmayın. ÖZEL ANAHTARINIZI KENDİNİZDEN BAŞKA KİMSEYLE PAYLAŞMAYIN. Public anahtarınıza ihtiyacımız var, sonu `.pub' ile biten anahtardır lütfen bunu karıştırmayın.

Ve elbette GPG anahtarlarını veya başka şeyleri buraya GÖNDERMEYİN, bu oturum açmanız için kullanılır ve eğer bir SSH anahtarı göndermezseniz oturum açamazsınız.

Bir sonraki alana neden katılmak istediğinizi yazın ve lütfen dürüst olun. İnsanların isteklerini nadiren reddederiz ve bu nedenle yanlış yanıt olmaz.

Artık istediğiniz hizmetleri seçebilirsiniz, burada seçtiğiniz her şey yöneticiler tarafından sizin adınıza kaydedilecektir ancak daha sonra istediğiniz zaman bir yöneticiyle iletişime geçerek bir hesap talep edebilirsiniz. Size yardımcı olmak için her hizmetin ne olduğunu kısaca açıklayacağım:

* Pubnix: SSH anahtarınız bunun için kullanılıyor, ~vern'in sunucularından birindeki UNIX terminalidir, buraya komut yazabilirsiniz, eğlenin ve ne istiyorsanız yapın. Ayrıca web sitenizi `public_html` adlı bir klasöre de yükleyebilirsiniz ve `KULLANICI_ADI.vern.cc` adresinde mevcut olacak
* Matrix: Matrix uçtan uca şifrelenmiş bir sohbet sistemidir, yani yöneticiler bile mesajlarınızı göremez. Aynı zamanda merkezi olmayan bir yapıya sahiptir, yani her şeyi kontrol eden tek bir kişi yoktur (Google veya Facebook gibi) ve açık kaynaktır, yani kaynak kodu herkese açıktır ve herkes tarafından görülebilir. Matrix, WhatsApp, Discord veya diğer anlık mesajlaşma servislerine etik bir alternatiftir.
* Fediverse (Mastodon): Fediverse, hepsinin birbirine mesaj gönderebildiği, birbirine bağlı bir sunucu sistemidir, gizliliğinize saygı duyması, açık kaynak ve merkezi olmaması dışında bir sosyal medya gibidir (yani, her şeyi kontrol eden tek bir kişi yoktur) Fediverse, Twitter, Facebook veya diğer sosyal medyalara etik bir alternatiftir.
* Forgejo: Forgejo, yazılım geliştiricileri tarafından kaynak kodlarını yüklemek, dosyalamak ve hata raporlarını, özellik önerilerini dosyalamak ve yanıtlamak ve geliştiricilerin birbirleriyle işbirliği yapması için kullanılan bir platformdur. Forgejo, Gitea'nın bir çatalıdır ve GitHub, SourceForge, Google Code ve GitLab EE'ye etik bir alternatiftir.
* Nextcloud: Nextcloud; Google Drive, OneDrive ve diğer özel bulut depolama sağlayıcılarına karşı ücretsiz bir alternatiftir Nextcloud, dosyaları cihazlar arasında senkronize etmek için bir yedekleme aracı veya senkronizasyon aracı olarak kullanılabilir; Nextcloud, Linux, BSD, MacOS, Windows, Android, iOS ve herhangi bir Linux-Mobile sistemi için yerel desteğe sahiptir.
* PeerTube: PeerTube; YouTube, Vimeo veya DailyMotion gibi tescilli video barındırma sitelerine ücretsiz ve etik bir alternatiftir. Mastodon gibi PeerTube da ActivityPub desteğine sahip olduğundan Fediverse'deki diğer hizmetlerle birleşebilir.
* Jitsi: Jitsi, gizliliğinize saygı duyan bir toplantı aracıdır, başkalarıyla görüntülü sohbet yapabilirsiniz ve bunların tümü Google, Zoom, Skype veya Discord'dan farklı olarak katılımcılar arasında tutulur.
* XMPP/Jabber: XMPP, Matrix'e çok benzer; anlık mesajlaşma platformudur ancak Matrix'e kıyasla çok gelişmiştir ve kutudan çıktığı haliyle şifrelemeye sahip değildir. Ancak yine de WhatsApp, Skype ve Discord'a etik bir alternatiftir. (Biliyor muydunuz: WhatsApp eskiden XMPP kullanıyordu, böylece WhatsApp kullanıcılarıyla kendi sunucunuz üzerinden konuşabiliyordunuz, ancak şimdi Facebook bu işlevselliği ortadan kaldırdı)
* Diğer 2 seçenek ise Onion ve I2P servisleridir. bunları açıklamak bu kılavuzun ötesindedir.

Unutma: Burada da yanlış cevap yok, ne istediğinizi seçebilirsiniz ve eğer bir şey size sıkıcı geliyorsa onu kapatmanıza izin verilir. Yöneticilerle iletişime geçerek her zaman bir hesap talep edebilirsiniz.

Artık işiniz bittiğine göre, nihayet gönder tuşuna basabilirsiniz; yöneticilere bir istek gönderilecektir. Hesabınızın işleme alınması yaklaşık 48 saat sürecektir ancak işlem gerçekleştiğinde, '~/pass' konumunda bulunan şifreyi kullanarak çeşitli ~vern hizmetlerine giriş yapabileceksiniz.
