---
title: "SSH nasıl kullanılır"
---

SSH, Secure SHell'in kısaltmasıdır, ~vern'in sunucularına bağlanmanıza, komutları çalıştırmanıza ve benzeri şeylere olanak tanır.

Ayrıca web sitenizi `public_html` klasörüne de yükleyebilirsiniz ve `KULLANICI_ADINIZ.vern.cc` veya `vern.cc/~KULLANICI_ADINIZ` adresinde mevcut olacak

Kullanıcı sitelerinin nasıl yükleneceği konusunda özel bir kılavuzumuz [buradan](/guides/usersites/) bulunabilir, ancak bu kılavuz öncelikle ~vern SSH sunucusuna gerçekte nasıl bağlanılacağına odaklanmaktadır. kullanıcı sitelerini vb. yüklemek için gereklidir.

Bu makale, ~vern'e bir hesap kaydettiğinizi ve bir genel anahtar oluşturduğunuzu varsaymaktadır. ~vern'de bir hesabınız yoksa nasıl hesap ve SSH anahtarı oluşturacağınızı öğrenmek için [bu sayfaya](/guides/register/) göz atabilirsiniz.

## GNU/Linux kullanıcıları

Dağıtımınızın depolarından OpenSSH'ı indirin. Debian veya Ubuntu kullanıyorsanız bu komutu çalıştırabilirsiniz: `apt install openssh-client`

Daha sonra bağlanmak için `ssh KULLANICI_ADINIZ@vern.cc` komutunu çalıştırmanız yeterlidir. Bu noktada SSH sizden bir "parmak izi" doğrulaması isteyebilir; terminalinizdeki parmak izinin aşağıdakilerden biriyle eşleştiğinden emin olun:

* SHA256:03UCtjS9J+Hh77jHBWdevkd8dSg2Cnwo4HknGkRcZLk (ED25519)
* SHA256:Qwdlx1YLsGOcVMn9N0tVaPh1DLi/6+uSaXNR9iM1mNc (RSA)

Eşleşiyorsa güvenle evet yazabilirsiniz ancak eşleşmiyorsa dikkatli olmalısınız. Birisi size Man-in-the-middle saldırısı yapıyor olabilir; farklı bir ağ üzerinden veya farklı bir zaman ve yerde tekrar bağlanmayı deneyin.

Sonunda bağlandığınızda size bir shell sunulacak, burada komutları yazabilir ve istediğinizi yapabilirsiniz (kuralları ihlal etmediğiniz sürece)

## BSD kullanıcıları

İşlem GNU/Linux'takine benzer olmalıdır. OpenBSD ve FreeBSD varsayılan olarak OpenSSH'yi içerir. NetBSD, pkgsrc'den `security/openssh` alabilir.

## MacOS kullanıcıları

İşlem GNU/Linux'takine benzer olmalıdır. SSH çoğu modern MacOS sürümüne önceden yüklenmiştir değilse, homebrew aracılığıyla alabilirsiniz.

## Windows kullanıcıları

~vern, Microsoft Windows işletim sisteminin kullanılmasını önermese de, pek çok kişinin onu her gün kullandığını biliyoruz ve ayrıca bir eğitimi hak ediyor.

Ama önce bir uyarı, Windows kullanmadığımız için buradaki bilgiler aktif olarak test edilmemiştir. Herhangi bir yanlış bilgi bulursanız lütfen [wiki geliştiricileri](/staff/#wiki) ile iletişime geçin, böylece düzeltebilirler!

Windows 10 varsayılan olarak SSH'yi otomatik olarak içerir ve çalışması için PuTTY kullanmanıza gerek yoktur.

### Windows 10 kullanıcıları

Bu kılavuz, ~vern SSH anahtarınızla bir SSH ortamı kurduğunuz varsayılmaktadır. Henüz yapmadıysanız lütfen çevrimiçi olarak mevcut birçok öğreticiyi kullanarak kurulumunu yapın.

Bir komut istemi açın ve `ssh.exe KULLANICI_ADINIZ@vern.cc` yazın (KULLANICI_ADINIZ yerine kayıt olduğunuz kullanıcı adını yazın) ve Enter tuşuna basın.

Bu noktada sizden parmak izini doğrulamanız istenecektir. Bu nedenle ekranınızdaki parmak izinin aşağıdaki parmak iziyle tamamen aynı olduğundan emin olun:

* SHA256:03UCtjS9J+Hh77jHBWdevkd8dSg2Cnwo4HknGkRcZLk (ED25519)
* SHA256:Qwdlx1YLsGOcVMn9N0tVaPh1DLi/6+uSaXNR9iM1mNc (RSA)

Eğer aynıysa "evet" yazıp enter tuşuna basarak güvenle ilerleyebilirsiniz, eğer aynı değilse dikkatli ilerleyin, birisi Man-in-the-middle saldırısı yapıyor olabilir ve dikkatli olmanız gerekir, ~vern'e farklı bir zaman veya konumda bağlanmayı deneyin.

Artık size komutları yazabileceğiniz bir Unix komut shelli sunulmalıdır. Bu shell kullanılması bu eğitimin ötesindedir ve muhtemelen gelecekte kendi wiki sayfasına sahip olacaktır, ancak çevrimiçi olarak Unix shellin nasıl kullanılacağına dair birçok eğitim bulabilirsiniz.

### Windows 8 yada daha eski kullanıcıları

Windows 8 (yada daha eski) kullanıcıları PuTTY'yi [bu adresten](https://www.chiark.greenend.org.uk/~sgtatham/putty/) indirmeniz gerekecek. PuTTY zaten kuruluysa devam edebilirsiniz.

PuTTY başlatıldığında sizden sunucu ayrıntılarını girmenizi isteyecektir, buraya aşağıdakileri girmelisiniz:

* Username: Kullanıcı adınız
* Hostname: vern.cc
* Port: 22
* Protocol: SSH

Son olarak Bağlan'a bastığınızda PuTTY ~vern'in sunucularına bağlanacaktır.

Bu noktada sizden bir "parmak izini" doğrulamanız istenebilir; bu nedenle ekranınızdaki parmak izinin şununla aynı olduğundan emin olun:

* SHA256:03UCtjS9J+Hh77jHBWdevkd8dSg2Cnwo4HknGkRcZLk (ED25519)
* SHA256:Qwdlx1YLsGOcVMn9N0tVaPh1DLi/6+uSaXNR9iM1mNc (RSA)

Eğer aynıysa "evet" yazıp enter tuşuna basarak güvenle ilerleyebilirsiniz, eğer aynı değilse dikkatli ilerleyin, birisi Man-in-the-middle saldırısı yapıyor olabilir ve dikkatli olmanız gerekir, ~vern'e farklı bir zaman veya konumda bağlanmayı deneyin.

"Evet"i tıkladığınızda, sonunda ~vern'e güvenli ve emniyetli bir şekilde bağlanacaksınız ve size komut yazabileceğiniz bir uzak kabuk sunulacak, bu bir Unix shellidir ve bunların nasıl kullanılacağına dair çevrimiçi birçok eğitim bulabilirsiniz.

İyi eğlenceler!