---
title: "~vern'de Matrix"
---

Kendimize ait bir Matrix ev sunucusu işletiyoruz bu demektir ki ~vern hesabınızla diğer Matrix sunucularından (hatta köprüler kullanan XMPP sunucularından) iletişim kurabilirsiniz. kullanıcı adınız `@KULLANICI:vern.cc` olarak görünecek.

Matrix ,monolit modunda yerel olarak oluşturulmuş [tulir'in synapse forku](https://mau.dev/maunium/synapse) debian paketlerini çalıştırır.

## Botlar

Aşağıdakileri çalıştıran bir maubot örneğimiz var:

* sedbot (@sedbot:vern.cc)
* rssbot (@rss:vern.cc)
* weatherbot (@weather:vern.cc)
* ping/echobot (@ping:vern.cc)
* XKCDBot (@xkcd:vern.cc)
* reminderbot(@reminder:vern.cc)
* urbandictionary (@urbdict:vern.cc)
* serverchecker (@servers:vern.cc)
* translate (@tl:vern.cc)
* imperial -> metric (@metric:vern.cc).

## XMPP Köprüsü

Bir XMPP köprüsü olan bifrost'u sunuyoruz.

Matrix'ten XMPP'ye erişmek için adres sözdizimi:

* Özel mesajlarda: `@_jabber_KULLANICI=40DOMAIN:vern.cc`
* MUCs: `#_jabber_MUCAD_MUCDOMAIN:vern.cc`

Matrix'e XMPP'den erişmek için adres sözdizimi:

* Özel mesajlarda: `KULLANICIADI_DOMAIN@bi.vern.cc`
* Genel mesajlarda: `#ALIAS#DOMAIN@bi.vern.cc`

Ayrıca mevcut Matrix odalarından XMPP odalarına kadar plumbing'yı destekler; oda yöneticileri aşağıdakileri yaparak plumbing işlemini gerçekleştirebilir:

* `@jabber:vern.cc`'i odanıza davet edin
* XMPP'deki MUC'un `!bifrost bridge xmpp-js component.domain.tld odaadı` olarak adlandırılacağı yere `odaadı@component.domain.tld` yazın
* Sonunda plumbing kaldırmak için `!bifrost leave` yazabilirsiniz.

Bifrost komutlarıyla ilgili yardım almak için istediğiniz zaman `!bifrost help` yazabilirsiniz.

## IRC Köprüsü

Bir IRC köprüsü olan relixbox'u sunuyoruz.

Ancak arka uçta kuruludur. Yapılandırma Python betiğinin kendisidir. Bu, odalarınızı köprülemek istiyorsanız betiği pubnix hesabınızda çalıştırmanız gerektiği anlamına gelir.

Öncelikle, [buradan](https://git.vitali64.duckdns.org/misc/relixbot.git) [(tor alternatif linki)](http://fs4xhnfag3udez4qhfpyxdvnue7aebrw2kbc2tcvnbrsecxlpcscgxyd.onion/misc/relixbot.git) adresinden klonlayın. Daha sonra aşağıdaki değişkenleri düzenleyebilirsiniz:

```python
server          = [ ['irc.libera.chat', 'libera'], ['mtrx.vern.cc', 'matrix'] ]
# Dahili Matrix oda adresini kullanın.
relayedChannels = [ [ '#chan1', '!aBCrdDeRfG:matrix.org' ], [ '##chan2', '!xgwAUWHbwWUG:vern.cc' ] ]
nick            = 'TestRelay'
debug           = True
channels        = [ 0, 1 ] # Çoklu kanallar
join_leave_msgs = False # Katıl/Ayrıl mesajlarını ilet.
```

Kaç kanal arasında köprü kurduğunuza ilişkin indeksleri içermesi gereken `kanallar` değişkeni dışında, bunlar kendi kendini açıklayıcı nitelikte olmalıdır. Örneğin, eğer varsa `relayedChannels = [ ["#chan1", "!idk:matrix.org"] ]` seti, içermelidir `[ 0 ]`. eğer varsa `relayedChannels = [ [ '#chan1', '!aBCrdDeRfG:matrix.org' ], [ '##chan2', '!xgwAUWHbwWUG:vern.cc' ], [ '#chan3', '!edwfsiofn:vern.cc' ] ]`, `[ 0, 1, 2 ]` vb. içermelidir.

Yapılandırmayı beğeninize göre düzenledikten sonra, şu örneği izleyerek bir SystemD kullanıcı konfigürasyonu oluşturabilmeniz gerekir:

```ini
[Unit]
Description=IRC to Matrix Bridge

[Service]
ExecStart=/run/current-system/sw/bin/python3 /home/<kullanıcı adın>/irc-bridge.py

[Install]
WantedBy=default.target
```

Dosyayı `~/.config/systemd/user/irc-bridge.service` dizinine yazın, ardından `systemctl --user enable --now irc-bridge.service` komutuyla hizmeti başlatın.

Bitti! Pubnix hesabınızda barındırılan çalışan bir IRC köprüsüne sahipsiniz.

## Mesaj Saklama

Şu anda belirlenmiş bir mesaj saklama politikamız yok ama json'da `erase=true` seçeneğini ayarlayarak kullanıcınızı devre dışı bıraktığınızda tüm mesajlarınızı silmek mümkündür.

Ayrıca Element'teki `Son Mesajları Kaldır` seçeneğini kullanarak odadaki tüm son mesajlarınızı silebilirsiniz.

## Hangi servisleri sunuyoruz?

[Element](https://riot.vern.cc), [Cinny](https://cinny.vern.cc) ve [Hydrogen](https://h2.vern.cc) sunucularını sunuyoruz.

Entegrasyon sunucusu için kendi boyut sunucumuzu kullanıyoruz ve varsayılan olarak [jitsi](https://jitsi.vern.cc/) kullanıyoruz.