lang = "da"

local function stringstarts(String,Start)
  return string.sub(String,1,string.len(Start))==Start
end

function Link(el)
  --[[
    It runs these checks and if any succeed then it runs this action and returns the link, preventing the others from running.
    1. Check if its a URL scheme, if so then change nothing
    2. Check if its a ../ url, which means remove language parameter
    3. Change URL irregardless
  ]]--
  if el.target:find('://') then
    return el
  elseif stringstarts(el.target, '../') then
    el.target = el.target:sub(3)
    return el
  else 
    el.target = "/" .. lang .. el.target
    return el
  end
end